Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454164 - Review Request: tweet - A simple Twitter desktop client
Summary: Review Request: tweet - A simple Twitter desktop client
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-07-05 19:21 UTC by Michel Alexandre Salim
Modified: 2010-01-26 00:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-26 00:10:19 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2008-07-05 19:21:21 UTC
Spec URL: http://salimma.fedorapeople.org/for_review/gnome/tweet.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/gnome/tweet-0.3.0-0.git20080704.1.fc9.src.rpm
Description:
Tweet is a simple desktop client for the Twitter messaging
service. Tweet is written in C using GNOME platform libraries like:

    * GLib
    * GTK+
    * LibSoup

and other GNOME-related libraries like:

    * JSON-GLib
    * Clutter

Tweet uses Clutter as an hardware accelerated canvas for parts of its
user interface; this requires a working OpenGL implementation.

Note: currently needs clutter-gtk-devel=0.6.1 from Rawhide, so you'd need to pull it from the Rawhide repo. There's a repaint bug on Intel hardware if compositing is enabled (Metacity w/compositing, Compiz or kwin with desktop effects), according to upstream it's an Intel driver issue.

Package is split into tweet, twitter-glib and twitter-glib-devel, the latter two are designed to be usable from other programs.

Comment 1 Brian Pepple 2008-07-05 19:31:41 UTC
This shouldn't go into Fedora yet, since upstream is reluctant to see it in
distos while it's still in alpha release.

From upstream: '@luca: thanks for the package; I’m not entirely confident in
having Tweet in the NEW queue - not until it hits a beta stage, after GUADEC
when it’ll depend on Clutter 0.8 and friends.'

Comment 2 Jason Tibbitts 2008-07-05 20:32:12 UTC
Easy enough to remove it from the queue; just clear the whiteboard when it's ready.

Comment 3 Brian Pepple 2009-02-14 14:35:20 UTC
It looks like Emmanuele stopped developing Tweet, but he did remove twitter-glib from the project and he just did a release (0.9.2)  of that 2 days ago that would probably be worthwhile to add to Fedora if your interested.

http://github.com/ebassi/twitter-glib/downloads

Comment 4 Jan Klepek 2009-10-12 10:09:16 UTC
any progress on this package? 
SPEC/SRPM is not available on provided links.

I think that this could be considered as stalled review and closed if there is no progress or plans for working on tweet package.

Comment 5 Jason Tibbitts 2010-01-26 00:10:19 UTC
This has been NotReady for more than half a year now, and there's been no response to commentary in 3.5 months.  I'm closing this out.


Note You need to log in before you can comment on or make changes to this bug.